Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#24 Failing command cdb 0x28

open
nobody
None
3
2005-08-25
2005-07-13
Daniel D Parry
No

Hello, I was just wondering if anyone could possibly
shed some light on a problem I've encountered. On a
fedora core 3 box, running kernel 2.6.10 with the 4.0.2
linux iscsi kernel patch and user utilities, I start up
iscsi and an iscsi-ls shows:

*******************************************************************************
SFNet iSCSI Driver Version ...4:0.2(15-Mar-2005)
*******************************************************************************
TARGET NAME :
iqn.2002-10.com.infortrend:raid.sn6780480.00
TARGET ALIAS : <NULL>
HOST NO : 16
TARGET ADDRESS : 10.0.0.60:3260,1
SESSION STATUS : CONNECTION ESTABLISHED AT Wed
Jul 13 20:58:18 BST 2005
SESSION ID : ISID 00023d000001
TSIH 200
-------------------------------------------------------------------------------

So that looks reasonable. However, in
/var/log/messages, I see lots of e.g.:

iscsi-sfnet:host16: Failing command cdb 0x28 task 57
with return code = 0x20000

If I try and do anything with the device, it's
behaviour is very flaky. Does anyone know what this
fail message means in practical terms, and how I should
go about resolving it? Any help mugh appreciated.

Thanks!

Discussion

  • Logged In: NO

    Could you post your whole log. It looks like commands are
    failing becuase they timed out or the session was reset.
    Make sure your network connection is good.

     
  • Daniel D Parry
    Daniel D Parry
    2005-07-14

    Logged In: YES
    user_id=1120997

    Thanks for your reply. Here are the logs resulting from
    /etc/init.d/iscsi start:

    Jul 14 09:16:54 kernel: Synchronizing SCSI cache for disk sda:
    Jul 14 09:16:54 kernel: iscsi-sfnet:host16: Session dropped
    Jul 14 09:16:58 iscsid[12636]: version 4:0.2 variant
    (15-Mar-2005)
    Jul 14 09:16:58 iscsid[12640]: Connected to Discovery
    Address 10.0.0.60
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: Session established
    Jul 14 09:16:58 kernel: scsi17 : SFNet iSCSI driver
    Jul 14 09:16:58 kernel: Vendor: IFT Model:
    A12E-G2121-2 Rev: 342D
    Jul 14 09:16:58 kernel: Type: Direct-Access
    ANSI SCSI revision: 03
    Jul 14 09:16:58 kernel: SCSI device sda: 1048576 512-byte
    hdwr sectors (537 MB)
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: recv_sg_data -
    invalid sglist for offset 0 len 20, remaining data 12,
    sglist size 1, dropping session
    Jul 14 09:16:58 kernel: SCSI device sda: drive cache: write back
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: iscsi_recv_pdu()
    cannot read 16384 bytes of PDU data, only 4096 bytes of
    buffer available
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: Session has
    ended quickly 1 times, login delay 2 seconds
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: Session dropped
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: Failing command
    cdb 0x00 task 8 with return code = 0x20000
    Jul 14 09:16:58 kernel: iscsi-sfnet:host17: Waiting 2
    seconds before next login attempt
    Jul 14 09:17:00 kernel: iscsi-sfnet:host17: Session established
    Jul 14 09:17:00 kernel: SCSI device sda: 1048576 512-byte
    hdwr sectors (537 MB)
    Jul 14 09:17:00 kernel: iscsi-sfnet:host17: recv_sg_data -
    invalid sglist for offset 0 len 20, remaining data 12,
    sglist size 1, dropping session
    Jul 14 09:17:00 kernel: SCSI device sda: drive cache: write back
    Jul 14 09:17:00 kernel: sda:<3>iscsi-sfnet:host17:
    iscsi_recv_pdu() cannot read 16384 bytes of PDU data, only
    4096 bytes of buffer available
    Jul 14 09:17:00 kernel: iscsi-sfnet:host17: Session has
    ended quickly 2 times, login delay 2 seconds
    Jul 14 09:17:00 kernel: iscsi-sfnet:host17: Session dropped
    Jul 14 09:17:00 kernel: iscsi-sfnet:host17: Failing command
    cdb 0x28 task 14 with return code = 0x20000
    Jul 14 09:17:00 kernel: iscsi-sfnet:host17: Waiting 2
    seconds before next login attempt
    Jul 14 09:17:02 kernel: iscsi-sfnet:host17: Session established
    Jul 14 09:17:02 kernel: sda1
    Jul 14 09:17:02 kernel: Attached scsi disk sda at scsi17,
    channel 0, id 0, lun 0
    Jul 14 09:17:02 scsi.agent[12668]: disk at
    /devices/platform/host17/target17:0:0/17:0:0:0

     
  • Logged In: NO

    eek. What target are you using?

     
  • Daniel D Parry
    Daniel D Parry
    2005-07-14

    Logged In: YES
    user_id=1120997

    Thanks for your reply, the target is an Infortrend EonStor
    A12E-G2121 iscsi 4TB RAID storage device, .

     
  • Daniel D Parry
    Daniel D Parry
    2005-07-15

    Logged In: YES
    user_id=1120997

    Does 'eek' roughly translate as I lose, then? (Shuddering at
    the thought of 4TB of NTFS and samba).

     
  • Logged In: NO

    No, it just means it is not a trivial bug so I will not get
    to this week. I am about to get on plane to Canada where I
    will be for the next week without a computer. I will get to
    this bug when I get back though.

     
  • Daniel D Parry
    Daniel D Parry
    2005-08-25

    • priority: 5 --> 3
     
  • Daniel D Parry
    Daniel D Parry
    2005-08-25

    Logged In: YES
    user_id=1120997

    Just for some extra info, the problems I reported here seem
    to have gone away with linux-iscsi-5.0.0.0.3rc6-363 built
    against a 2.6.11.1 kernel, so I'll just go with the
    experimental driver for now...